import * as react_jsx_runtime from 'react/jsx-runtime';
import { NFTCollectionViewProps, NFTDetailProps, CrossmintEmbeddedCheckoutProps, CrossmintPayButtonProps } from '@crossmint/client-sdk-base';
export { CrossmintEvent, CrossmintEventMap, CrossmintEvents, useCrossmintEvents } from '@crossmint/client-sdk-base';
import { MouseEvent, CSSProperties } from 'react';

declare function CrossmintNFTCollectionView(props: NFTCollectionViewProps): react_jsx_runtime.JSX.Element;

declare function CrossmintNFTDetail(props: NFTDetailProps): react_jsx_runtime.JSX.Element;

declare function CrossmintPaymentElement(props: CrossmintEmbeddedCheckoutProps): react_jsx_runtime.JSX.Element;

type CrossmintPayButtonReactProps = CrossmintPayButtonProps & {
    onClick?: (e: MouseEvent<HTMLButtonElement>) => void;
    style?: CSSProperties;
};
declare function CrossmintPayButton(buttonProps: CrossmintPayButtonReactProps): react_jsx_runtime.JSX.Element;

export { CrossmintNFTCollectionView, CrossmintNFTDetail, CrossmintPayButton, CrossmintPayButtonReactProps, CrossmintPaymentElement };
